#
# spec file for package perl-Text-Kakasi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Kakasi
BuildRequires:  kakasi-devel
Requires:       kakasi >= 2.3.4
Version:        2.04
Release:        164.49
Url:            http://www.daionet.gr.jp/~knok/kakasi/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/Text-Kakasi-2.04.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Perl binding for KAKASI, the kanji kana simple inverter
License:        GPL-2.0+
Group:          Development/Libraries/Perl
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
# Summary(ja): KAKASIを perlから利用するためのモジュールです。
# %description -l ja
# このモジュールは、高橋裕信さんの作成されたソフトウェアKAKASIを
# perlから用いるためのものです。
# 
# このモジュールを使うためには、最新版のKAKASI(2.3.0以降)が必要です。最
# 新版に関しては、<http://kakasi.namazu.org/>を参照してください。

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.  KAKASI is the language processing filter to convert Kanji
characters to Hiragana, Katakana or Romaji and may be helpful to read
Japanese documents.  More information about KAKASI is available at
<http://kakasi.namazu.org/>.

%prep
%setup -n Text-Kakasi-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root)
%doc COPYING Changes ChangeLog* MANIFEST README*

%changelog
* Sat Jul 19 2014 schwab@linux-m68k.org
- Clean up specfile
- Use %%perl_make_install and %%perl_gen_filelist
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  2 2005 mfabian@suse.de
- update to 2.04.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 31 2003 ro@suse.de
- don't duplicate buildroot-dir
* Wed Jul 16 2003 mfabian@suse.de
- use vendorarch instead of sitearch.
* Wed Jul  2 2003 mfabian@suse.de
- use %%perl_process_packlist
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Tue May 20 2003 ro@suse.de
- change problematic source file name "::" -> "-"
* Fri May 16 2003 mfabian@suse.de
- remove perllocal.pod from buildroot
* Tue May 13 2003 mfabian@suse.de
- move Japanese man page to "ja" subdirectory, add
  English man page.
* Mon Sep 30 2002 sf@suse.de
- use 'find-requires' instead of 'find-requires.perl' as the latter
  doesn't attach ()(XXbit) to the requires list.
  (needs to be fixed in rpm)
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Nov  2 2001 mfabian@suse.de
- kakasi sub-packages have been renamed -> adapt '# neededforbuild'
* Thu Nov  1 2001 mfabian@suse.de
- new package: perl-Text-Kakasi-1.05
